Still active/Linux package out of date.

Have a question about using Celestia? Check here first for FAQs and helpful advice.
Forum rules
Please help to make this forum more useful by checking the FAQs before posting! Keep it clean, keep it civil, keep it truthful, stay on topic, be responsible, share your knowledge.
Topic author
RebelCoder
Posts: 5
Joined: 29.07.2019
With us: 2 months 18 days

Still active/Linux package out of date.

Post #1by RebelCoder » 29.07.2019, 16:47

Hello!

I can see last Celestia news on the main website were posted on Dec 14, 2017.

Linux version from the main website was not updated for a long time and requires some libraries that are very old and no longer present on most Linux distributions for last 2 years. Attempt to install needed old libs breaks the system. Basically Linux version is unusable and not installable. It was even removed from main repositories for most Linux distros for incompatibility reason. I am on latest Debian, ans it was removed from it as it breaks the system due to outdated libs.

I can also see there is another project 'Celestia Origin'. Is that a new, active branch that should be used ?
And is there a possibility Celestia AppImage could be created to avoid all library requirements hell ? Users on Linux can't use Celestia anymore.

Regards.
Juris.

Avatar
SpaceFanatic64
Posts: 393
Joined: 16.08.2018
Age: 13
With us: 1 year 2 months
Location: Southern California

Post #2by SpaceFanatic64 » 29.07.2019, 19:52

Celestia Origin is just an upgrade to a main installation which adds many addons and is updated every 4 months.
Follower of the "Celestia Origin" project
Graphics Card: ATI Radeon 3000 Graphics

onetwothree
Developer
Posts: 311
Joined: 22.09.2018
With us: 1 year

Post #3by onetwothree » 29.07.2019, 20:22

RebelCoder wrote:And is there a possibility Celestia AppImage could be created to avoid all library requirements hell ?

The only library unavailable in Debian9/Devuan2 is libfmt >= 4.0. All other libraries can be used without any additional restrictions on their versions. But if you still want AppImage please contribute, we don't use neither it nor snap nor flatpack, so we are unable to properly test it.

RebelCoder wrote:Users on Linux can't use Celestia anymore.

When I became GNU/Linux user it was a common practice to build programs yourself.

Avatar
Anthony_B_Russo10
Posts: 243
Joined: 03.07.2018
Age: 16
With us: 1 year 3 months
Location: Tallahassee, Florida, US

Post #4by Anthony_B_Russo10 » 29.07.2019, 21:13

And programs like Wine can be used to run the Windows versions on Linux distros.
celestia2.png
Examples.
Anthony B. Russo, I like Pluto. Mod of the Celestia subreddit: https://www.reddit.com/r/Celestiasoftware/
My PCs. Dell Latitude D820 D400 D410 D420, Acer Aspire, Dell Optiplex 745 x2 755 GX-620 960, Sony Vaio PCG-F420, Packard Bell Legend 100, and an IBM clone

Avatar
Gurren Lagann
Posts: 151
Joined: 31.01.2018
Age: 13
With us: 1 year 8 months

Post #5by Gurren Lagann » 29.07.2019, 23:28

Why do you have two Stellariums?

Avatar
Anthony_B_Russo10
Posts: 243
Joined: 03.07.2018
Age: 16
With us: 1 year 3 months
Location: Tallahassee, Florida, US

Post #6by Anthony_B_Russo10 » 30.07.2019, 00:26

One is the Linux version, the other is the Windows version. I installed the Windows version to see if it would load compared to Linux version, but the computer's graphics are not good enough.
Anthony B. Russo, I like Pluto. Mod of the Celestia subreddit: https://www.reddit.com/r/Celestiasoftware/
My PCs. Dell Latitude D820 D400 D410 D420, Acer Aspire, Dell Optiplex 745 x2 755 GX-620 960, Sony Vaio PCG-F420, Packard Bell Legend 100, and an IBM clone

Eljay
Posts: 2
Joined: 27.03.2018
With us: 1 year 6 months

Post #7by Eljay » 30.07.2019, 09:40

Hi,

I've been running Linux Mint for a few years now and found it excellent for most uses, except Celestia. I read that others can run Celestia under WINE or that the only dependency issues relate to Debian etc. but I can't get the program to run on any Linux distro I've tried (I have many, many distro CD's). WINE appears to install the Windows version without problems or errors but Celestia inevitably crashes when trying to run it. (WINE is always a bit hit & miss anyway so that's no surprise). VirtualBox's graphics limitations seem to also prevent running Celestia on a virtual Windows (10,8,7 or XP) box. So frustrating.
I had given Celestia a miss for the last year or so because of compatibility frustrations but now my grand-daughter (yes, I am THAT old) has developed an interest in astronomy and it would be perfect for her to learn/play with. However, her laptop is getting old and only grudgingly runs Windows. What I am planning to do is wipe her laptop and install a suitable Linux distro, but running Celestia is a must.
If I knew where to start, I'd probably look at volunteering to package it into Snap, Flatpack, or AppImage etc . Celestia is such a great program it is a major shame it appears to be out of the reach of Linux users now.

Eljay

Topic author
RebelCoder
Posts: 5
Joined: 29.07.2019
With us: 2 months 18 days

Post #8by RebelCoder » 30.07.2019, 10:44

I agree. Celestia is currently in unusable state on Linux.

When someone suggests to run software in WINE, and/or build it from source, when this software is available natively on Linux, it is a classic bad example of Linux software usage, and ignoring that most of the people are just users.

I have a whole group of astronomers (NOT LINUX POWER USERS), aprox. 45-50 PCs, running Linux (Debian). they just need software to work. Celestia has been removed from all latest Linux distros due to usage of outdated i388 libraries. Someone mentioned that it only is missing one lib: libfmt, but they forget, that trying to install it raises even more circular dependencies and basically just does not work.

I wish someone could update (re-build) Linux package here: https://celestia.space/download.html to use correct/updated libs, preferably x64, not i386. And try getting Celestia back to all core distros.

Whoever is working on 1.7.0, can you provide a latest build for linux ?

onetwothree
Developer
Posts: 311
Joined: 22.09.2018
With us: 1 year

Post #9by onetwothree » 30.07.2019, 11:29

In the nearest future (in one or two weeks) we'll provide Debian 10 and Ubuntu 18.04 packages through OpenSuse Build Service. Not for Debian9/Devuan2 as it requires libfmt >= 4, i'll package it later when we have stable builds for Debian 10 and Ubuntu 18.04. Then we will try to create AppImage.

I can try to rebuild 1.6.1 with updated libraries for Debian 9 and 10. If I succeed with this I'll put test versions to our bintray.

RebelCoder wrote:And try getting Celestia back to all core distros.

One reason why Celestia was dropped is licenses for textures and some other data files: they are missing, they are uncertain and so on. One of the targets for 1.7 is clear free licenses for all data files. That's the area where non-technical people can help.

Topic author
RebelCoder
Posts: 5
Joined: 29.07.2019
With us: 2 months 18 days

Post #10by RebelCoder » 30.07.2019, 12:05

onetwothree

Thanks so much. Please let us know if/when we can try new builds via repos or AppImage.

Eljay
Posts: 2
Joined: 27.03.2018
With us: 1 year 6 months

Post #11by Eljay » 30.07.2019, 13:16

Quick update on my experience.

I just tried again to use WINE, but this time with the 161ED version. Seems to be working other than what appears to be a glitch in displaying some spacecraft. (assuming it's missing some textures. I'll investigate that later)
:smile:

System: Linux-x86_64. Mint 19 with MATE Desktop
NVIDIA Driver Version:340.107
Graphics: GeForce GT 220 2048MB
WINE 4.0.1
Celestia 1.6.1 ED (http://www.celestiamotherlode.net/creators/fsgreg ... 8/Celestia161-ED-WIN_setup.zip)

onetwothree
Developer
Posts: 311
Joined: 22.09.2018
With us: 1 year

Post #12by onetwothree » 30.07.2019, 15:09

Celestia 1.6.1 package has been rebuilt for Debian 9 and amd64:

Create a file

Code: Select all

/etc/apt/sources.list.d/celestia.list
and add the following (not verified yet):

Code: Select all

deb https://dl.bintray.com/celestia/releases-deb stretch main contrib non-free


Use apt-get not apt as the repository is not signed yet.

Topic author
RebelCoder
Posts: 5
Joined: 29.07.2019
With us: 2 months 18 days

Post #13by RebelCoder » 30.07.2019, 16:13

Cool! Got it running. two things though:

1. Add [trusted=yes] (for now...)
2. And it does not have contrib

Full version:

Code: Select all

deb [trusted=yes] https://dl.bintray.com/celestia/releases-deb stretch main non-free


Maybe we can aim at currently stable Distros ? Stretch is an old-stable.

onetwothree
Developer
Posts: 311
Joined: 22.09.2018
With us: 1 year

Post #14by onetwothree » 30.07.2019, 19:31

Stretch is a base for Devuan 2 and Devuan 3 based on Debian 10 is not released yet.

onetwothree
Developer
Posts: 311
Joined: 22.09.2018
With us: 1 year

Post #15by onetwothree » 03.08.2019, 09:21

RebelCoder wrote:And is there a possibility Celestia AppImage could be created to avoid all library requirements hell ?

Please see https://github.com/CelestiaProject/Celestia/issues/333 for instructions how to use current experimental AppImage builds.

And you are tooooo optimistic if you suppose that AppImage saves from "library hell" :)

Avatar
John Van Vliet
Posts: 2710
Joined: 28.08.2002
With us: 17 years 1 month

Post #16by John Van Vliet » 23.08.2019, 05:33

there is a linux only fork of the older 1.70 code that i use
i removed all the old qt3 and glut and gtk code

it is qt5 only

Now it has not been updated in a while but it builds just fine on OpenSUSE 15.1
so it should build without any errors on Linux Mint

This is just a copy of what I USE

https://github.com/JohnVV/MyCelestiaBuild

there are a bunch of README's for getting SPICE to work
if you want that see the Celestialmatters forum topic i have
http://forum.celestialmatters.org/viewforum.php?f ... fc47732c670945e777dac7b3cccdfb

onetwothree
Developer
Posts: 311
Joined: 22.09.2018
With us: 1 year

Post #17by onetwothree » 23.08.2019, 17:19

John Van Vliet wrote:there is a linux only fork of the older 1.70 code that i use
i removed all the old qt3 and glut and gtk code

The topic is about packages not about -you-can-always-compile-it-yourself

onetwothree
Developer
Posts: 311
Joined: 22.09.2018
With us: 1 year

Post #18by onetwothree » 04.09.2019, 15:04

New builds for Debian 10 and Ubuntu 18.04 are provided by Munix9, please check https://github.com/CelestiaProject/Celestia/issues/388 and test them.


Return to “Help Central”

Who is online

Users browsing this forum: 9 guests